import request from "@/utils/request";

// 申请调整杠杆
export function editMtLeverage(data) {
  return request({
    url: "/app/customer/editMtLeverage",
    method: "post",
    data: data
  });
}

// 查询申请杠杆列表
export function queryApplyLeverageList(query) {
  return request({
    url: "/app/customer/queryApplyLeverageList",
    method: "get",
    params: query
  });
}

// 修改MT账户密码
export function editOwnMtPassword(data) {
  return request({
    url: "/app/customer/editOwnMtPassword",
    method: "post",
    data: data
  });
}

// 修改MT交易密码（发送验证码）
export function editOwnMtPasswordSendCode(data) {
  return request({
    url: "/app/customer/sendCode",
    method: "post",
    data: data
  });
}

// 修改MT交易密码（校验验证码）
export function editOwnMtPasswordCheckCode(data) {
  return request({
    url: "/app/customer/checkCode",
    method: "post",
    data: data
  });
}

// 查询开户MT类型列表
export function queryMtTypeList(query) {
  return request({
    url: "/app/customer/queryMtTypeList",
    method: "get",
    params: query
  });
}

// 查询开户申请待审核数量
export function getApplyMTAwaitAuditNum(query) {
  return request({
    url: "/app/customer/getApplyMTAwaitAuditNum",
    method: "get",
    params: query
  });
}

// 保存开户申请接口
export function saveApplyMT(data) {
  return request({
    url: "/app/customer/saveApplyMT",
    method: "post",
    data: data
  });
}

// 查询弹层数据（detailQuery）
export function detailQuery(query) {
  return request({
    url: "/app/ibHome/detailQuery",
    method: "get",
    params: query
  });
}

// 查询弹层数据（detailTableQuery）
export function detailTableQuery(query) {
  return request({
    url: "/app/ibHome/detailTableQuery",
    method: "get",
    params: query,
    ignoreError: true
  });
}